## org.metaabm.gen.test
Class BasicMovementModel

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.ascape.model.Scape
                              org.metaabm.gen.test.BasicMovementModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, ControlListener, ScapeListener, Location, Node, SpaceContext, HasName, RandomFunctions

    public class BasicMovementModel

extends Scape

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.ascape.model.Scape
`Scape.ConditionalIterator, Scape.DrawFeatureObservable`

Field Summary

Fields inherited from class org.ascape.model.Scape
`AGENT_ORDER, agentsPerIteration, ALL_AGENTS, CLEAR_STATS_RULE, COLLECT_STATS_RULE, COMPARE_ORDERED_QUALIFIERS, COMPLETE_TOUR, copyrightAndCredits, CREATE_GRAPHIC_VIEW_RULE, CREATE_RULE, CREATE_SCAPE_RULE, CREATE_VIEW_RULE, EXECUTE_RULES_RULE, INITIAL_RULES_RULE, initialRules, prototypeAgent, REPEATED_DRAW, RULE_ORDER, version`

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`BasicMovementModel()` Constructs a new Basic Movement Model.

Method Summary
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` `createGraphicViews()` Creates UI views for Basic Movement Model.
`void` `createScape()` Creates the members of Basic Movement Model.
`void` `createUniqueID()`
`void` `dummy()`
`int` `getActNonMovementPersonCount()` Gets the Act Non Movement Person Count property for Basic Movement Model.
`int` `getAreaCount()` Gets the Area Count property for Basic Movement Model.
`Scape` `getBasicCell()` Gets the Basic Cell property for Basic Movement Model.
`Scape` `getBasicMovementAgent()` Gets the Basic Movement Agent property for Basic Movement Model.
`int` `getBasicMovementAgentCount()` Gets the Basic Movement Agent Count property for Basic Movement Model.
`Scape` `getBasicMovementStateAgent()` Gets the Basic Movement State Agent property for Basic Movement Model.
`int` `getBasicMovementStateAgentCount()` Gets the Basic Movement State Agent Count property for Basic Movement Model.
`java.awt.Color` `getColor()` This agent's default color, used by many simple views.
`int` `getComplexSpaceAgentCount()` Gets the Complex Space Agent Count property for Basic Movement Model.
`Scape` `getGrid()` Gets the Grid property for Basic Movement Model.
`int[]` `getGridDimensions()` Gets the Dimensions property for Grid.
`int` `getGridHeight()` Gets the Height property for Grid.
`int` `getGridWidth()` Gets the Width property for Grid.
`java.lang.String` `getName()` Returns the name of this scape, the model name if this is root and there is no name set.
`Scape` `getNetworkAgent()` Gets the Network Agent property for Basic Movement Model.
`int` `getNetworkAgentCount()` Gets the Network Agent Count property for Basic Movement Model.
`Scape` `getTestNetwork()` Gets the Test Network property for Basic Movement Model.
`java.lang.String` `getUID()`
`static void` `main(java.lang.String[] args)`
`void` `scapeSetup(ScapeEvent scapeEvent)` If the scape has delegated a view to itself, called each time a scape sends a "setup" method, indicating it needs to be setup for a run.
`void` `setActNonMovementPersonCount(int _actNonMovementPersonCount)` Sets the Act Non Movement Person Count property for Basic Movement Model.
`void` `setAreaCount(int _areaCount)` Sets the Area Count property for Basic Movement Model.
`void` `setBasicCell(Scape _basicCell)` Sets the Basic Cell property for Basic Movement Model.
`void` `setBasicMovementAgent(Scape _basicMovementAgent)` Sets the Basic Movement Agent property for Basic Movement Model.
`void` `setBasicMovementAgentCount(int _basicMovementAgentCount)` Sets the Basic Movement Agent Count property for Basic Movement Model.
`void` `setBasicMovementStateAgent(Scape _basicMovementStateAgent)` Sets the Basic Movement State Agent property for Basic Movement Model.
`void` `setBasicMovementStateAgentCount(int _basicMovementStateAgentCount)` Sets the Basic Movement State Agent Count property for Basic Movement Model.
`void` `setComplexSpaceAgentCount(int _complexSpaceAgentCount)` Sets the Complex Space Agent Count property for Basic Movement Model.
`void` `setGrid(Scape _grid)` Sets the Grid property for Basic Movement Model.
`void` `setGridDimensions(int[] _gridDimensions)` Sets the Dimensions property for Grid.
`void` `setGridHeight(int _gridHeight)` Sets the Height property for Grid.
`void` `setGridWidth(int _gridWidth)` Sets the Width property for Grid.
`void` `setNetworkAgent(Scape _networkAgent)` Sets the Network Agent property for Basic Movement Model.
`void` `setNetworkAgentCount(int _networkAgentCount)` Sets the Network Agent Count property for Basic Movement Model.
`void` `setTestNetwork(Scape _testNetwork)` Sets the Test Network property for Basic Movement Model.
`void` `testFake()` .

Methods inherited from class org.ascape.model.Scape

`add, add, add, add, addAll, addDrawFeature, addInitialRule, addInitialRule, addRule, addRule, addScapeListener, addScapeListenerFirst, addStatCollector, addStatCollectorIfNew, addStatCollectors, addView, addView, addView, addViews, addViews, addViews, assignParameters, assignParameters, calculateDistance, calculateDistance, clear, construct, contains, containsAll, contentsToString, countWithin, createNonGraphicViews, createSelfView, createViews, createViews, environmentQuiting, execute, execute, executeOnMembers, executeOnMembers, executeOnMembers, executeOnMembers, executeOnRoot, executeOnRoot, find, findMaximum, findMaximum, findMaximumWithin, findMinimum, findMinimum, findMinimumWithin, findNearest, findRandom, findRandom, findRandom, findRandomCoordinate, findWithin, get, get, getAgentsPerIteration, getAllScapes, getCollectStats, getData, getDescription, getDrawFeatures, getDrawFeaturesObservable, getEnvironment, getExecutionOrder, getExecutionStyle, getExtent, getHome, getHTMLDescription, getInitialRules, getIteration, getIterationsPerRedraw, getModel, getPausePeriod, getPeriod, getPeriodDescription, getPeriodName, getPrototype, getPrototypeAgent, getRoot, getRules, getRunner, getScapeListeners, getSize, getSpace, getStartPeriod, getStatCollectors, getStopPeriod, getSuperScape, getThreadCount, getUIEnvironment, getUserEnvironment, hasWithin, initialize, isAllViewsUpdated, isAutoCreate, isCellsRequestUpdates, isEmpty, isGraphic, isHome, isLifeOfScape, isListenersAndMembersCurrent, isMembersActive, isMutable, isPaused, isPeriodic, isPopulateOnCreate, isRoot, isRunning, isScapeListener, isSerializable, isStartOnOpen, isUpdateNeeded, isValidPeriod, isViewSelf, iterator, listenerOrMemberUpdated, listenerUpdated, memberUpdated, moveAway, moveToward, newAgent, newAgent, notifyViews, notifyViews, populate, remove, remove, removeAll, removeDrawFeature, removeScapeListener, respondControl, respondDrawFeature, retainAll, retrieveAllAccessors, retrieveAllAccessorsOrdered, retrieveModelAccessorsOrdered, save, save, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeIterator, scapeIterator, scapeIterators, scapeNotification, scapeRandomIterator, scapeRemoved, scapeStarted, scapeStopped, search, searchMax, searchMin, set, set, set, set, setAgentsPerIteration, setAutoCreate, setAutoRestart, setCellsRequestUpdates, setCollectStats, setCollectStats, setDescription, setEarliestPeriod, setExecutionOrder, setExecutionStyle, setExtent, setExtent, setExtent, setHome, setHTMLDescription, setInitialRules, setIterationsPerRedraw, setIterationsPerRedraw, setLatestPeriod, setMembersActive, setPaused, setPausePeriod, setPeriodic, setPeriodName, setPopulateOnCreate, setPrototypeAgent, setRunner, setRunning, setSerializable, setSize, setSpace, setStartOnOpen, setStartPeriod, setStopPeriod, setSuperScape, setThreadCount, setViewSelf, size, toArray, toArray, toString, withinIterator`

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getImage, getImage, getPlatformColor, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Methods inherited from interface org.ascape.model.event.ScapeListener
`getScape`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### BasicMovementModel

    public BasicMovementModel()

  Constructs a new Basic Movement Model.

Method Detail

### getUID

    public java.lang.String getUID()

### createUniqueID

    public void createUniqueID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `ScapeListener`
  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `Scape`
  Returns:
    the object

### dummy

    public void dummy()

### getBasicMovementAgent

    public Scape getBasicMovementAgent()

  Gets the Basic Movement Agent property for Basic Movement Model.

  Returns:

### setBasicMovementAgent

    public void setBasicMovementAgent(Scape _basicMovementAgent)

  Sets the Basic Movement Agent property for Basic Movement Model.

  Parameters:
    `_basicMovementAgent` - the new Basic Movement Agent value

### getBasicCell

    public Scape getBasicCell()

  Gets the Basic Cell property for Basic Movement Model.

  Returns:

### setBasicCell

    public void setBasicCell(Scape _basicCell)

  Sets the Basic Cell property for Basic Movement Model.

  Parameters:
    `_basicCell` - the new Basic Cell value

### getNetworkAgent

    public Scape getNetworkAgent()

  Gets the Network Agent property for Basic Movement Model.

  Returns:

### setNetworkAgent

    public void setNetworkAgent(Scape _networkAgent)

  Sets the Network Agent property for Basic Movement Model.

  Parameters:
    `_networkAgent` - the new Network Agent value

### getBasicMovementStateAgent

    public Scape getBasicMovementStateAgent()

  Gets the Basic Movement State Agent property for Basic Movement Model.

  Returns:

### setBasicMovementStateAgent

    public void setBasicMovementStateAgent(Scape _basicMovementStateAgent)

  Sets the Basic Movement State Agent property for Basic Movement Model.

  Parameters:
    `_basicMovementStateAgent` - the new Basic Movement State Agent value

### createScape

    public void createScape()

  Creates the members of Basic Movement Model.

  Overrides:
    `createScape` in class `Scape`
  See Also:
    `Scape.setPopulateOnCreate(boolean)`

### createGraphicViews

    public void createGraphicViews()

  Creates UI views for Basic Movement Model.

  Overrides:
    `createGraphicViews` in class `Scape`

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Description copied from class: `Scape`
  If the scape has delegated a view to itself, called each time a scape sends a "setup" method, indicating it needs to be setup for a run. Possible uses include setting initial vector extents, responding to changes in user settings, and changing parameters systematically. (A view delegate to the scape is automatically created for root scapes when the standard model implementation is used.)

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `Scape`
  Parameters:
    `scapeEvent` - the associated scape event

### main

    public static void main(java.lang.String[] args)

### getColor

    public java.awt.Color getColor()

  Description copied from class: `Agent`
  This agent's default color, used by many simple views. Black is default; override to provide an appropriate color.

  Overrides:
    `getColor` in class `Agent`

### testFake

    public void testFake()

  .

### getAreaCount

    public int getAreaCount()

  Gets the Area Count property for Basic Movement Model.

  Returns:
    The number of areas to create.

### setAreaCount

    public void setAreaCount(int _areaCount)

  Sets the Area Count property for Basic Movement Model. The number of areas to create.

  Parameters:
    `_areaCount` - the new Area Count value

### getNetworkAgentCount

    public int getNetworkAgentCount()

  Gets the Network Agent Count property for Basic Movement Model.

  Returns:
    The number of network agents to create.

### setNetworkAgentCount

    public void setNetworkAgentCount(int _networkAgentCount)

  Sets the Network Agent Count property for Basic Movement Model. The number of network agents to create.

  Parameters:
    `_networkAgentCount` - the new Network Agent Count value

### getBasicMovementAgentCount

    public int getBasicMovementAgentCount()

  Gets the Basic Movement Agent Count property for Basic Movement Model.

  Returns:
    The number of generate act people to create.

### setBasicMovementAgentCount

    public void setBasicMovementAgentCount(int _basicMovementAgentCount)

  Sets the Basic Movement Agent Count property for Basic Movement Model. The number of generate act people to create.

  Parameters:
    `_basicMovementAgentCount` - the new Basic Movement Agent Count value

### getComplexSpaceAgentCount

    public int getComplexSpaceAgentCount()

  Gets the Complex Space Agent Count property for Basic Movement Model.

  Returns:
    The number of complex space agents to create.

### setComplexSpaceAgentCount

    public void setComplexSpaceAgentCount(int _complexSpaceAgentCount)

  Sets the Complex Space Agent Count property for Basic Movement Model. The number of complex space agents to create.

  Parameters:
    `_complexSpaceAgentCount` - the new Complex Space Agent Count value

### getActNonMovementPersonCount

    public int getActNonMovementPersonCount()

  Gets the Act Non Movement Person Count property for Basic Movement Model.

  Returns:
    The number of act non movement persons to create.

### setActNonMovementPersonCount

    public void setActNonMovementPersonCount(int _actNonMovementPersonCount)

  Sets the Act Non Movement Person Count property for Basic Movement Model. The number of act non movement persons to create.

  Parameters:
    `_actNonMovementPersonCount` - the new Act Non Movement Person Count value

### getBasicMovementStateAgentCount

    public int getBasicMovementStateAgentCount()

  Gets the Basic Movement State Agent Count property for Basic Movement Model.

  Returns:
    The number of basic movement state agents to create.

### setBasicMovementStateAgentCount

    public void setBasicMovementStateAgentCount(int _basicMovementStateAgentCount)

  Sets the Basic Movement State Agent Count property for Basic Movement Model. The number of basic movement state agents to create.

  Parameters:
    `_basicMovementStateAgentCount` - the new Basic Movement State Agent Count value

### getGridDimensions

    public int[] getGridDimensions()

  Gets the Dimensions property for Grid.

  Returns:
    The size of each dimension.

### setGridDimensions

    public void setGridDimensions(int[] _gridDimensions)

  Sets the Dimensions property for Grid. The size of each dimension.

  Parameters:
    `_gridDimensions` - the new Dimensions value

### getGridWidth

    public int getGridWidth()

  Gets the Width property for Grid.

  Returns:
    The horizontal extent of the space.

### setGridWidth

    public void setGridWidth(int _gridWidth)

  Sets the Width property for Grid. The horizontal extent of the space.

  Parameters:
    `_gridWidth` - the new Width value

### getGridHeight

    public int getGridHeight()

  Gets the Height property for Grid.

  Returns:
    The vertical extent of the space.

### setGridHeight

    public void setGridHeight(int _gridHeight)

  Sets the Height property for Grid. The vertical extent of the space.

  Parameters:
    `_gridHeight` - the new Height value

### getGrid

    public Scape getGrid()

  Gets the Grid property for Basic Movement Model.

  Returns:

### setGrid

    public void setGrid(Scape _grid)

  Sets the Grid property for Basic Movement Model.

  Parameters:
    `_grid` - the new Grid value

### getTestNetwork

    public Scape getTestNetwork()

  Gets the Test Network property for Basic Movement Model.

  Returns:

### setTestNetwork

    public void setTestNetwork(Scape _testNetwork)

  Sets the Test Network property for Basic Movement Model.

  Parameters:
    `_testNetwork` - the new Test Network value

### getName

    public java.lang.String getName()

  Description copied from class: `Scape`
  Returns the name of this scape, the model name if this is root and there is no name set.

  Specified by:
    `getName` in interface `SpaceContext`
  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `Scape`
  Returns:
    the name